<?
	////////////////////////////////////////////
	//                                        //
	//   Foscam IP camera web interface for   //
	//  RMS Boards (C)2015 EtherTek Circuits  //
	//                                        //
	////////////////////////////////////////////
	
	
	// Edit the three variables below to match the ip address, user name, and password of
	// your Foscam IP camera.
	$ip = "10.0.0.66";
	$user = "admin";
	$pwd = "";
	
	// Don't edit anything below this line unless you know what you are doing.
	
	$vars = file_get_contents('http://' . $ip . '/get_camera_params.cgi?user=' . $user . '&pwd=' . $pwd);
	$output = preg_split( "#(=|;)#", $vars );
	$resolution = $output[1];
	$brightness = $output[3];
	$contrast = $output[5];
	$mode = $output[7];
	$flip = $output[9];
	$fps = $output[11];
?>

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<title>RMS IP CAMERA LIVE FEED</title>
	
		<script language="javascript"> 
			
			<?
				echo "var resolution=" . $resolution . ";";
				echo "var brightness=" . $brightness . ";";
				echo "var contrast=" . $contrast . ";";
				echo "var mode=" . $mode . ";";
				echo "var flip=" . $flip . ";";
				echo "var fps=" . $contrast . ";";
			?>
			
			function ir_on()
			{
				<? echo "action_zone.location='http://" . $ip . "/decoder_control.cgi?command=95&user=" . $user . "&pwd=" . $pwd . "';"; ?>
			}
			
			function ir_off()
			{
				<? echo "action_zone.location='http://" . $ip . "/decoder_control.cgi?command=94&user=" . $user . "&pwd=" . $pwd . "';"; ?>
			}
			
			function camera_control(param,value)
			{
				<? echo "action_zone.location='http://" . $ip . "/camera_control.cgi?param='+param+'&value='+value+'&user=" . $user . "&pwd=" . $pwd . "'"; ?>
			}
			
			function set_flip()
			{
				if (image_reversal.checked)
					flip|=1;
				else
					flip&=2;
				if (image_mirror.checked)
					flip|=2;
				else
					flip&=1;	
				camera_control(5,flip);
			}
			
			function set_resolution()
			{
				camera_control(0,resolution_sel.value);
				setTimeout('parent.parent.main.location.reload()',2000);
			}
			function plus_brightness()
			{
				val=brightness_input.value;
				if (val++<15)
				{
					brightness_input.value=val;
					camera_control(1,val*16);
				}
			}
			function minus_brightness()
			{
				val=brightness_input.value;
				if (val-->0)
				{
					brightness_input.value=val;
					camera_control(1,val*16);
				}	
			}
			function plus_contrast()
			{
				val=contrast_input.value;
				if (val++<6)
				{
					contrast_input.value=val;
					camera_control(2,val);
				}
			}
			function minus_contrast()
			{
				val=contrast_input.value;
				if (val-->0)
				{
					contrast_input.value=val;
					camera_control(2,val);
				}
			}
			
			function open_new()
			{
				<? echo "window.open('http://" . $ip . "/snapshot.cgi?user=" . $user . "&pwd=" . $pwd . "','_blank');"; ?>
			}
			
			function body_onload()
			{
				resolution_sel.value=resolution;
				mode_sel.value=mode;
				brightness_input.value=Math.round(brightness /16);
				contrast_input.value=contrast;
				image_reversal.checked=(flip&0x01)?true:false;
				image_mirror.checked=(flip&0x02)?true:false;
			}
			
		</script>
	</head>
	<body onLoad="body_onload()">

		<table border="0" cellpadding="0" cellspacing="0" width="640" height="480" bgcolor = #C9C9C9  style="font-family:Arial">
			<tr>
				<td bgcolor="black" align="center" valign="middle">
					<? echo "<img src='http://" . $ip . "/videostream.cgi?user=" . $user . "&pwd=" . $pwd . "' />"; ?>
				</td>
			</tr>
		</table>
		
		<iframe name="action_zone" style="display:none"></iframe>
		<!-- <iframe name="action_zone"></iframe> DEBUGGING WINDOW -->
		
		<form>
			<table width="300" style="font-family:Arial" border="1" cellpadding="0" cellspacing="10" >
				<tr>
					<td style="text-align: center;">
							<input style="cursor:pointer" type="button" value="IR ON" onClick="ir_on()">
					</td>
					<td style="text-align: center;">
							<input style="cursor:pointer" type="button" value="IR OFF" onClick="ir_off()">
					</td>
				</tr>
				
				<tr>
					<td style="text-align: center;">
							<input id="image_reversal" type="checkbox" onClick="set_flip()">Flip
					</td>
					<td style="text-align: center;">
							<input id="image_mirror" type="checkbox" onClick="set_flip()">Mirror
					</td>
				</tr>
				
				<tr>
					<td style="text-align: center;">
						Resolution:
					</td>
					<td style="text-align: center;">
						<SELECT id="resolution_sel" onChange="set_resolution()"><OPTION value="8">320*240</OPTION><OPTION value="32">640*480</OPTION></SELECT>
					</td>
				</tr>
				
				<tr>
					<td style="text-align: center;">
						Mode:
					</td>
					<td style="text-align: center;">
						<SELECT id="mode_sel" onChange="camera_control(3,value)"><OPTION value="0">50 HZ</OPTION><OPTION value="1">60 HZ</OPTION><OPTION value="2">Outdoor</OPTION></SELECT>
					</td>
				</tr>
				
				<tr>
					<td style="text-align: center;">
						Brightness:
					</td>
					<td style="text-align: center;">
						<table align=center>
							<tr>
								<td><img style="cursor:pointer" src="images/minus_down.png" onClick="minus_brightness()"></td>
								<td><input style="text-align:center;" id="brightness_input" readonly maxLength="2" size="2"></td>
								<td><img style="cursor:pointer" src="images/plus_down.png" onClick="plus_brightness()"></td>					
							</tr>
						</table>
					</td>
				</tr>
				
				<tr>
					<td style="text-align: center;">
						Contrast:
					</td>
					<td style="text-align: center;">
						<table align=center>
							<tr>
								<td><img style="cursor:pointer" src="images/minus_down.png" onClick="minus_contrast()"></td>
								<td><input style="text-align:center;" id="contrast_input" readonly maxLength="1" size="2"></td>
								<td><img style="cursor:pointer" src="images/plus_down.png" onClick="plus_contrast()"></td>
							</tr>
						</table>
					</td>
				</tr>
				
				<tr>
					<td style="text-align: center;" colspan="2">
						<img style="cursor:pointer" src="images/camera.jpg" onClick="open_new()">
						<br>
						<span style="cursor:pointer" onClick="open_new()"><u>Snapshot</u></span>
					</td>
				</tr>
				
			</table>
		</form>
	</body>
</html>





